com.holonplatform.core.beans

## Interface BeanPropertyPostProcessor

- Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface BeanPropertyPostProcessor

  Interface for classes that can be registered in a `BeanIntrospector` to process detected `BeanProperty`s before returning the bean properties set, for example to setup the property configuration.

  BeanPropertyPostProcessor registration can be performed also using default Java extension through `ServiceLoader`, providing a `com.holonplatform.core.beans.BeanPropertyPostProcessor` file in `META-INF/services` containing the BeanPropertyPostProcessor concrete class names to register.

  Since:
    5.0.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_PRIORITY` Default `BeanPropertyPostProcessor` priority if not specified using `Priority` annotation.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `BeanProperty.Builder<?>` | `processBeanProperty(BeanProperty.Builder<?> property, Class<?> beanOrNestedClass)` Process given `property`.

- - ### Field Detail

    - #### DEFAULT_PRIORITY

          static final int DEFAULT_PRIORITY

      Default `BeanPropertyPostProcessor` priority if not specified using `Priority` annotation.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### processBeanProperty

          BeanProperty.Builder<?> processBeanProperty(BeanProperty.Builder<?> property,
                                                      Class<?> beanOrNestedClass)

      Process given `property`.
      Parameters:
        `property` - Property to process
        `beanOrNestedClass` - Main or nested bean class to which property belongs
      Returns:
        Processed property
      Throws:
        `BeanIntrospector.BeanIntrospectionException` - If an error occurred

Copyright © 2017 The Holon Platform. All rights reserved.